<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Invoice.aspx.cs" Inherits="DevGroupGettingStartedWithEco.Invoice" %>
<%@ Register Assembly="Eco.Web, Version=4.0.0.0, Culture=neutral, PublicKeyToken=46a833be9e90de8c" Namespace="Eco.Web.UI.WebControls" TagPrefix="eco" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>View Invoice</title>
</head>
<body>
    <form id="form1" runat="server">
        <h2>Invoice Details</h2>
        <div>
            <eco:EcoSpaceManager ID="EcoSpaceManager1" runat="server" EcoSpaceTypeName="DevGroupGettingStartedWithEco.DevGroupGettingStartedWithEcoEcoSpace">
            </eco:EcoSpaceManager>
        </div>
        <eco:EcoDataSource ID="EcoDataSource1" runat="server" 
            EcoSpaceManagerID="EcoSpaceManager1" 
            Expression="Invoice.objectfromExternalId(vInvoiceId)">
            <Parameters>
                <asp:QueryStringParameter Name="vInvoiceId" QueryStringField="invoice" />
            </Parameters>
        </eco:EcoDataSource>
        <asp:FormView ID="FormView1" runat="server" DataKeyNames="ExternalId" 
            DataSourceID="EcoDataSource1">
            <EditItemTemplate>
                <b>External Id:</b>
                <asp:Label ID="ExternalIdLabel1" runat="server" 
                    Text='<%# Eval("ExternalId") %>' />
                <br />
                <b>Reference:</b>
                <asp:TextBox ID="ReferenceTextBox" runat="server" 
                    Text='<%# Bind("Reference") %>' />
                <br />
                <b>Total:</b>
                <asp:TextBox ID="TotalTextBox" runat="server" Text='<%# Bind("Total") %>' />
                <br />
                <b>Dated:</b>
                <asp:TextBox ID="DatedTextBox" runat="server" Text='<%# Bind("Dated") %>' />
                <br />
                <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
                    CommandName="Update" Text="Update" />
                &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </EditItemTemplate>
            <ItemTemplate>
                <b>External Id:</b>
                <asp:Label ID="ExternalIdLabel" runat="server" 
                    Text='<%# Eval("ExternalId") %>' />
                <br />
                <b>Reference:</b>
                <asp:Label ID="ReferenceLabel" runat="server" Text='<%# Bind("Reference") %>' />
                <br />
                <b>Total:</b>
                <asp:Label ID="TotalLabel" runat="server" Text='<%# Bind("Total") %>' />
                <br />
                <b>Dated:</b>
                <asp:Label ID="DatedLabel" runat="server" Text='<%# Bind("Dated") %>' />
                <br />
                <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
                    CommandName="Edit" Text="Edit" />
                &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
                    CommandName="Delete" Text="Delete" />
            </ItemTemplate>
        </asp:FormView>
        <eco:EcoDataSource ID="edsInvoiceItems" runat="server" 
            EcoSpaceManagerID="EcoSpaceManager1" 
            Expression="Invoice.objectfromExternalId(vInvoiceId).InvoiceItems">
            <Parameters>
                <asp:QueryStringParameter Name="vInvoiceId" QueryStringField="invoice" />
            </Parameters>
        </eco:EcoDataSource>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
            DataKeyNames="ExternalId" DataSourceID="edsInvoiceItems">
            <Columns>
                <asp:BoundField DataField="ExternalId" HeaderText="ExternalId" ReadOnly="True" 
                    SortExpression="ExternalId" />
                <asp:BoundField DataField="Product" HeaderText="Product" ReadOnly="True" 
                    SortExpression="Product" />
                <asp:BoundField DataField="Quantity" HeaderText="Quantity" 
                    SortExpression="Quantity" />
                <asp:BoundField DataField="ItemTotal" HeaderText="ItemTotal" ReadOnly="True" 
                    SortExpression="ItemTotal" />
                <asp:HyperLinkField DataNavigateUrlFields="ExternalId" 
                    DataNavigateUrlFormatString="Product.aspx?product={0}" Text="View Product" />
            </Columns>
        </asp:GridView>
    </form>
</body>
</html>
